<div class="tutorial-header container-fluid bg-light m-0 p-2">
  <progress
    class="custom-progress"
    *ngIf="_currStep"
    value="{{ _currStep.ordinal }}"
    max="{{ _tutorial.steps.length }}"
  ></progress>
  <div class="container-header">
    <div class="container-title">
      <div>
        <img
          class="custom-image mr-3"
          src="{{ getDevUrlStub() }}/images/edgar75.png"
          id="edgar-logo"
          title="Ask Edgar for hints"
          (click)="showNextStepHint()"
        />
      </div>
      <div>
        <h3>{{ _tutorial.title }}</h3>
        <h2>
          <span
            [className]="
              correctStatus ? 'badge badge-success' : 'badge badge-primary'
            "
          >
            {{ _currStep.ordinal }}/{{ _tutorial.steps.length }}
          </span>
          {{ _currStep.title }}
        </h2>
      </div>
    </div>
    <div class="container-buttons">
      <div
        *ngIf="_currStep && !nullWarning && !_currStepIsNull"
        class="btn-group nav-buttons right-buttons custom-navigation"
        role="group"
      >
        <button
          [disabled]="_currStep.ordinal <= 1"
          (click)="previousStep()"
          title="Previous step"
          class="btn btn-warning custom-btn"
        >
          <i class="fas fa-chevron-circle-left"></i>
        </button>
        <div class="dropdown ml-1 mr-1">
          <button
            id="stepsDrop"
            class="btn dropdown-toggle custom"
            type="button"
            data-toggle="dropdown"
            aria-haspopup="true"
            aria-expanded="false"
          >
            Steps
          </button>
          <div
            class="dropdown-menu dropdown-menu-right w-100"
            aria-labelledby="stepsDrop"
            style="top: auto; transform: translate3d(0px, 0px, 0px)"
          >
            <div class="list-group">
              <button
                *ngFor="let step of _tutorial.steps"
                class="dropdown-item list-group-item"
                (click)="
                  (step.ordinal <= latestStepOrdinal ||
                    _tutorial.allowRandomAccess) &&
                    goToStep(step.ordinal)
                "
                [class.active]="_currStep && _currStep.ordinal == step.ordinal"
                [class.disabled]="
                  step.ordinal > latestStepOrdinal &&
                  !_tutorial.allowRandomAccess
                "
              >
                <span [className]="getStepDropdownCssClass(step.ordinal)">{{
                  step.ordinal
                }}</span>
                <span nfIg="step.title">{{ step.title }}</span>
              </button>
            </div>
          </div>
        </div>
        <button
          [className]="
            correctStatus
              ? 'btn btn-success custom-btn'
              : 'btn btn-warning custom-btn'
          "
          (click)="nextStep()"
          [disabled]="!correctStatus && !_tutorial.allowRandomAccess"
          title="Next step"
        >
          <i class="fas fa-chevron-circle-right"></i>
        </button>
      </div>
    </div>
    <div>
      <a href="/" class="btn btn-primary">
        <i class="fas fa-sign-out-alt"></i>
      </a>
    </div>
  </div>

  <div>
    <section
      *ngIf="_currStepHint.ordinal != -1"
      id="step-hint"
      class="alert alert-info"
    >
      <button type="button" class="close" (click)="closeHint()">
        <span aria-hidden="true">&times;</span>
      </button>
      <h3>Hint</h3>
      <div [innerHTML]="_currStepHint.html"></div>
    </section>
  </div>
</div>
